/**
 * 区域管理--》项目管理
 * */
var pid = -1; //点击一级后 pid 标识
var fpid = -1; //点击二级后 pid 标识
$(function() {
	getRegions($('#sc_rengion')); //区域下拉
	getRegionlist(); //区域
	getProslist(); //项目
	getfloorlist(); //期号
	$('#table').on("click-row.bs.table", function(e, row, ele) {
		$('#table .success').removeClass('success'); //去除之前选中的行的，选中样式
		$(ele).addClass('success'); //添加当前选中的 success样式用于区别
		pid = row.F_RegionId;
		$('#trTitle1 span').text(row.F_RegionName + ' > 项目信息');
		getProslist();
	});
	$('#table1').on("click-row.bs.table", function(e, row, ele) {
		$('#table1 .success').removeClass('success'); //去除之前选中的行的，选中样式
		$(ele).addClass('success'); //添加当前选中的 success样式用于区别
		fpid = row.F_RegionId;
		$('#trTitle2 span').text(row.F_RegionName + ' > 期号信息');
		getfloorlist();
	});
	//搜索按钮
	$('#sc_btns').click(function() {
		if($('#sc_rengion').val()){
			pid = $('#sc_rengion').val();
		}
		if(pid === -1) {
			layer.confirm('您还没有选择区域', {
				icon: 2,
				btn: ['确定']
			});
			return;
		}
		getProslist(); //项目信息
	});

});

//获取中间列表   获取项目信息
function getProslist() {
	//先销毁表格
	$('#table1').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$('#table1').bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "CusRegionCategory/GetList", //获取数据的Servlet地址
		contentType: "application/x-www-form-urlencoded",
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber, //当前页
				pagesize: params.pageSize, //每页数
				parentid: pid, //0区域项目 >0 期号
				regionname:	$('#sc_rengion').val(),//区域（模糊）
				property: $('#sc_property').val(),	//物业（模糊）
				city: $('#sc_city').val(),	//城市（模糊）
				token: $.cookie("token")
			};
			return param;
		},
		onLoadSuccess: function(res) { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

function setCode(val, row, index) {
	var page = $('#table1').bootstrapTable("getPageCode");
	return page.pageSize * (page.pageNumber - 1) + index + 1;
}

//格式化中间列表操作
function operMiddle(val, row) {
	return '<a href="javascript:;" class="aBtn" onclick="btn_editM(' + row.F_RegionId + ')" title="修改">修改</a>' +
		'<a href="javascript:;" class="aBtn" onclick="btn_deleteM(' + row.F_RegionId + ')" title="删除">删除</a>'
}
//添加
function btn_addM() {
	if(pid === -1) {
		layer.confirm('您还没有选择区域', {
			icon: 2,
			btn: ['确定']
		});
		return;
	}
	layer.open({
		type: 2,
		content: "../commonTpl/addOrEditPro.html?pid=" + pid, //iframe的url，no代表不显示滚动条
		title: '添加信息',
		area: ['46%', '60%'], //宽高
	});
}
//修改
function btn_editM(edit_id) {
	if(pid === -1) {
		layer.confirm('您还没有选择区域', {
			icon: 2,
			btn: ['确定']
		});
		return;
	}
	layer.open({
		type: 2,
		content: "../commonTpl/addOrEditPro.html?pid=" + pid + "&edit_id=" + edit_id, //iframe的url，no代表不显示滚动条
		title: '修改信息',
		area: ['46%', '60%'], //宽高
	});
}
//删除
function btn_deleteM(del_id) {
	layer.confirm('您确定要删除当前项目信息吗？', {
		btn: ['确定', '取消'],
		yes: function(index, layero) {
			$.post(huayi.config.callcenter_url + "CusRegionCategory/Delete", {
				ids: del_id,
				token: $.cookie("token")
			}, function(result) {
				result = JSON.parse(result);
				if(result.state.toLowerCase() == "success") {
					layer.msg("删除成功");
					getProslist();
				}
			})
		},
	});
}

/**
 * 获取左边列表方法
 * */
function getRegionlist() {
	//先销毁表格
	$('#table').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$('#table').bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "CusRegionCategory/GetList", //获取数据的Servlet地址
		contentType: "application/x-www-form-urlencoded",
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber, //当前页
				pagesize: params.pageSize, //每页数
				parentid: 0, //0区域项目 >0 期号
				//				regionname:	//区域（模糊）
				//				property:	//物业（模糊）
				//				city:		//城市（模糊）
				token: $.cookie("token")
			};
			return param;
		},
		onLoadSuccess: function(res) { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//格式化左边列表操作
function operLeft(val, row) {
	return '<a href="javascript:;" class="aBtn" onclick="btn_editL(' + row.F_RegionId + ')" title="修改">修改</a>' +
		'<a href="javascript:;" class="aBtn" onclick="btn_deleteL(' + row.F_RegionId + ')" title="删除">删除</a>'
}
//添加
function btn_addL() {
	layer.open({
		type: 2,
		content: "../commonTpl/addOrEditProL.html", //iframe的url，no代表不显示滚动条
		title: '添加信息',
		area: ['46%', '60%'], //宽高
	});
}
//修改
function btn_editL(edit_id) {
	layer.open({
		type: 2,
		content: "../commonTpl/addOrEditProL.html?edit_id=" + edit_id, //iframe的url，no代表不显示滚动条
		title: '修改信息',
		area: ['46%', '60%'], //宽高
	});
}
//删除
function btn_deleteL(del_id) {
	layer.confirm('您确定要删除当前区域信息吗？', {
		btn: ['确定', '取消'],
		yes: function(index, layero) {
			$.post(huayi.config.callcenter_url + "CusRegionCategory/Delete", {
				ids: del_id,
				token: $.cookie("token")
			}, function(result) {
				result = JSON.parse(result);
				if(result.state.toLowerCase() == "success") {
					layer.msg("删除成功");
					getRegionlist();
				}
			})
		},
	});
}

/**
 * 获取右边列表方法
 * */
function getfloorlist() {
	//先销毁表格
	$('#table2').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$('#table2').bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "CusRegionCategory/GetList", //获取数据的Servlet地址
		contentType: "application/x-www-form-urlencoded",
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber, //当前页
				pagesize: params.pageSize, //每页数
				parentid: fpid, //0区域项目 >0 期号
				//				regionname:	//区域（模糊）
				//				property:	//物业（模糊）
				//				city:		//城市（模糊）
				token: $.cookie("token")
			};
			return param;
		},
		onLoadSuccess: function(res) { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}
//格式化右边列表操作
function operRight(val, row) {
	return '<a href="javascript:;" class="aBtn" onclick="btn_editR(' + row.F_RegionId + ')" title="修改">修改</a>' +
		'<a href="javascript:;" class="aBtn" onclick="btn_deleteR(' + row.F_RegionId + ')" title="删除">删除</a>'
}
//添加
function btn_addR() {
	if(fpid === -1) {
		layer.confirm('您还没有选择项目', {
			icon: 2,
			btn: ['确定']
		});
		return;
	}
	layer.open({
		type: 2,
		content: "../commonTpl/addOrEditProR.html?pid=" + fpid, //iframe的url，no代表不显示滚动条
		title: '添加信息',
		area: ['46%', '60%'], //宽高
	});
}
//修改
function btn_editR(edit_id) {
	if(fpid === -1) {
		layer.confirm('您还没有选择项目', {
			icon: 2,
			btn: ['确定']
		});
		return;
	}
	layer.open({
		type: 2,
		content: "../commonTpl/addOrEditProR.html?edit_id=" + edit_id + "&pid=" + fpid, //iframe的url，no代表不显示滚动条
		title: '修改信息',
		area: ['46%', '60%'], //宽高
	});
}
//删除
function btn_deleteR(del_id) {
	layer.confirm('您确定要删除当前期号信息吗？', {
		btn: ['确定', '取消'],
		yes: function(index, layero) {
			$.post(huayi.config.callcenter_url + "CusRegionCategory/Delete", {
				ids: del_id,
				token: $.cookie("token")
			}, function(result) {
				result = JSON.parse(result);
				if(result.state.toLowerCase() == "success") {
					layer.msg("删除成功");
					getfloorlist();
				}
			})
		},
	});
}

//获取区域下拉
function getRegions(el) {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "CusRegionCategory/GetListDrop",
		dataType: 'json',
		async: true,
		data: {
			parentid: 0, //是	int	区域项目id
			token: $.cookie("token")
		},
		success: function(data) {
			var Count = data.data;
			for(var i = 0; i < Count.length; i++) {
				$("<option value='" + Count[i].F_RegionId + "'>" + Count[i].F_RegionName + "</option>").appendTo(el);
			}
			$(el).selectpicker('refresh');
		}
	});
}